## spice-up 1.8.2+git20200705

=== CMakeLists.txt ===
project(com.github.philip-scott.spice-up)
cmake_minimum_required(VERSION 2.6)

if ($ENV{USER} STREQUAL "pbuilder" OR $ENV{USER} STREQUAL "buildd")
else ($ENV{USER} STREQUAL "pbuilder" OR $ENV{USER} STREQUAL "buildd")
    enable_testing(true)
endif ($ENV{USER} STREQUAL "pbuilder" OR $ENV{USER} STREQUAL "buildd")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

include (GNUInstallDirs)

set (PKGDATADIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/${CMAKE_PROJECT_NAME}")
set (GETTEXT_PACKAGE ${CMAKE_PROJECT_NAME})
set (RELEASE_NAME "TARS")
set (VERSION "0.7")
set (VERSION_INFO "Release")

add_definitions (-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
# disable C compiler warnings
add_definitions(-w)

set (PKG_DEPS
    granite>=5.2.3
    gee-0.8
    gtk+-3.0>=3.22.0
    json-glib-1.0
    gudev-1.0
    libevdev
    libsoup-2.4
)

set (VALA_DEPS
    granite
    gee-0.8
    gtk+-3.0
    json-glib-1.0
    gudev-1.0
    libevdev
    linux
    libsoup-2.4
)


find_package(PkgConfig)
pkg_check_modules (DEPS REQUIRED ${PKG_DEPS})

add_definitions(${DEPS_CFLAGS})
link_libraries(${DEPS_LIBRARIES} -lm)
link_directories(${DEPS_LIBRARY_DIRS})

find_package(Vala REQUIRED)
include(ValaVersion)
ensure_vala_version("0.26.0" MINIMUM)

add_subdirectory (po)
add_subdirectory (schemas)
add_subdirectory (data)
add_subdirectory (src)

=== data/CMakeLists.txt ===
# install desktop file
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.github.philip-scott.spice-up.desktop
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/applications/)

# install assets
file(GLOB ASSETS_FILES ${CMAKE_CURRENT_SOURCE_DIR}/assets)
install(DIRECTORY ${ASSETS_FILES}
        DESTINATION ${PKGDATADIR})

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/16/com.github.philip-scott.spice-up.svg
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/16x16/apps/)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/24/com.github.philip-scott.spice-up.svg
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/24x24/apps/)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/32/com.github.philip-scott.spice-up.svg
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/32x32/apps/)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/48/com.github.philip-scott.spice-up.svg
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/48x48/apps/)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/64/com.github.philip-scott.spice-up.svg
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/64x64/apps/)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/128/com.github.philip-scott.spice-up.svg
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/128x128/apps/)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/128/com.github.philip-scott.spice-up.svg
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/scalable/apps/)

#MIME
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/16/com.github.philip-scott.spice-up.svg
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/16x16/mimetypes/
        RENAME application-x-spiceup.svg)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/24/com.github.philip-scott.spice-up.svg
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/24x24/mimetypes/
        RENAME application-x-spiceup.svg)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/32/com.github.philip-scott.spice-up.svg
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/32x32/mimetypes/
        RENAME application-x-spiceup.svg)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/48/com.github.philip-scott.spice-up.svg
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/48x48/mimetypes/
        RENAME application-x-spiceup.svg)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/64/com.github.philip-scott.spice-up.svg
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/64x64/mimetypes/
        RENAME application-x-spiceup.svg)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/128/com.github.philip-scott.spice-up.svg
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/128x128/mimetypes/
        RENAME application-x-spiceup.svg)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/128/com.github.philip-scott.spice-up.svg
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/icons/hicolor/scalable/mimetypes/
        RENAME application-x-spiceup.svg)

# install the appdata
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.github.philip-scott.spice-up.appdata.xml
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/metainfo/)

# install the mimefile
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.github.philip-scott.spice-up.mime.xml
        DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/mime/packages/)

=== po/CMakeLists.txt ===
include (Translations)
add_translations_directory (${GETTEXT_PACKAGE})
add_translations_catalog (${GETTEXT_PACKAGE} ../src
)

=== schemas/CMakeLists.txt ===
include (GSettings)
add_schema ("com.github.philip-scott.spice-up.gschema.xml")

=== src/CMakeLists.txt ===

include(ValaPrecompile)

vala_precompile(VALA_C
  Main.vala
  Application.vala
  Window.vala

  Services/Clipboard.vala
  Services/Settings.vala
  Services/Slide.vala
  Services/SlideManager.vala
  Services/FileManager.vala
  Services/HistoryManager.vala
  Services/ImageHandler.vala
  Services/Utils.vala
  Services/GamepadSlideController.vala

  Widgets/Canvas.vala
  Widgets/EntryCombo.vala
  Widgets/Headerbar.vala
  Widgets/SlideList.vala
  Widgets/DynamicToolbar.vala
  Widgets/Welcome.vala
  Widgets/SlideWidget.vala
  Widgets/PresenterView.vala
  Widgets/PresenterNotes.vala

  Widgets/ColorPicker/ColorButton.vala
  Widgets/ColorPicker/ColorChooser.vala
  Widgets/ColorPicker/Gradient.vala
  Widgets/ColorPicker/GradientEditor.vala
  Widgets/ColorPicker/PickerWindow.vala

  Widgets/CanvasItems/CanvasItem.vala
  Widgets/CanvasItems/TextItem.vala
  Widgets/CanvasItems/ColorItem.vala
  Widgets/CanvasItems/ImageItem.vala
  Widgets/CanvasItems/Grabber.vala

  Widgets/Toolbars/CanvasBar.vala
  Widgets/Toolbars/CommonBar.vala
  Widgets/Toolbars/ImageBar.vala
  Widgets/Toolbars/ShapeBar.vala
  Widgets/Toolbars/TextBar.vala
  Widgets/Toolbars/Toolbar.vala

  Widgets/Library/LibraryItem.vala
  Widgets/Library/Library.vala

  #${CMAKE_CURRENT_BINARY_DIR}/config.vala

  # LibGamepad
  Services/libgamepad/libgamepad.vala
  Services/libgamepad/gamepad-monitor.vala
  Services/libgamepad/gamepad.vala
  Services/libgamepad/helpers.vala
  Services/libgamepad/input-type.vala
  Services/libgamepad/raw-gamepad-interface.vala
  Services/libgamepad/raw-gamepad-monitor-interface.vala
  Services/libgamepad/standard-gamepad-axis.vala
  Services/libgamepad/standard-gamepad-button.vala

  Services/libgamepad/drivers/linux/guid-helpers.vala
  Services/libgamepad/drivers/linux/raw-gamepad.vala
  Services/libgamepad/drivers/linux/raw-gamepad-monitor.vala

  # Granite Staging
  GraniteStaging/Inhibitor.vala
PACKAGES
  ${VALA_DEPS}
OPTIONS
  ${GLOBAL_VALAC_OPTIONS}
  -g
  --thread
  --target-glib=2.38 # FIXME check before, and target the same version
  --vapidir=${CMAKE_SOURCE_DIR}/vapi
)

include (gresource)
glib_compile_resources(GLIB_RESOURCES_ICONS SOURCE ../data/assets.gresource.xml)


add_executable(${CMAKE_PROJECT_NAME} ${VALA_C} ${GLIB_RESOURCES_ICONS})

install(TARGETS ${CMAKE_PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})

# pbuilder is the Houston Builder
if ($ENV{USER} STREQUAL "pbuilder" OR $ENV{USER} STREQUAL "buildd")
    message ("-- Running in a server: Skipping tests")
else ($ENV{USER} STREQUAL "pbuilder" OR $ENV{USER} STREQUAL "buildd")
    add_subdirectory (Tests)
    message ("-- Adding tests for $ENV{USER}")
endif ($ENV{USER} STREQUAL "pbuilder" OR $ENV{USER} STREQUAL "buildd")

=== src/Tests/CMakeLists.txt ===
add_subdirectory (Canvas)
add_subdirectory (ColorButton)
add_subdirectory (ColorItem)
add_subdirectory (ImageItem)
add_subdirectory (TextItem)

=== src/Tests/Canvas/CMakeLists.txt ===
enable_testing (true)

# Color Item Test
set (TEST_NAME canvas )

vala_precompile (VALA_TEST_C
  CanvasTest.vala
  TestCommon.vala
  ../../Widgets/CanvasItems/Grabber.vala
  ../../Widgets/CanvasItems/CanvasItem.vala
  ../../Widgets/Canvas.vala
  PACKAGES
  ${VALA_DEPS}
  OPTIONS
    --thread
    --target-glib=2.32 # Needed for new thread API
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
)

add_executable (${TEST_NAME} ${VALA_TEST_C})
add_test (core-${TEST_NAME} ${TEST_NAME})

=== src/Tests/ColorButton/CMakeLists.txt ===
enable_testing (true)

# Color Item Test
set (TEST_NAME color-button)

vala_precompile (VALA_TEST_C
  ColorButtonTest.vala
  TestCommon.vala
  ../../Widgets/ColorPicker/ColorButton.vala
  ../../Widgets/ColorPicker/ColorChooser.vala
  ../../Widgets/ColorPicker/Gradient.vala
  ../../Widgets/ColorPicker/GradientEditor.vala
  ../../Widgets/ColorPicker/PickerWindow.vala
  PACKAGES
  ${VALA_DEPS}
  OPTIONS
    --thread
    --target-glib=2.32 # Needed for new thread API
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
)

add_executable (${TEST_NAME} ${VALA_TEST_C})
add_test (core-${TEST_NAME} ${TEST_NAME})

=== src/Tests/ColorItem/CMakeLists.txt ===
set (TEST_NAME color-item )

vala_precompile (VALA_TEST_C
  ColorItemTest.vala
  TestCommon.vala
  MockedCanvasItem.vala
  ../../Widgets/CanvasItems/ColorItem.vala
  PACKAGES
  ${VALA_DEPS}
  OPTIONS
    --thread
    --target-glib=2.32 # Needed for new thread API
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
)

add_executable (${TEST_NAME} ${VALA_TEST_C})
add_test (core-${TEST_NAME} ${TEST_NAME})

=== src/Tests/ImageItem/CMakeLists.txt ===
set (TEST_NAME image-item )

vala_precompile (VALA_TEST_C
  ImageItemTest.vala
  TestCommon.vala
  MockedCanvasItem.vala
  ../../Widgets/CanvasItems/ImageItem.vala
  PACKAGES
  ${VALA_DEPS}
  OPTIONS
    --thread
    --target-glib=2.32 # Needed for new thread API
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
)

add_executable (${TEST_NAME} ${VALA_TEST_C})
add_test (core-${TEST_NAME} ${TEST_NAME})

=== src/Tests/TextItem/CMakeLists.txt ===
enable_testing (true)

# Color Item Test
set (TEST_NAME text-item )

vala_precompile (VALA_TEST_C
  TextItemTest.vala
  TestCommon.vala
  MockedCanvasItem.vala
  ../../Widgets/CanvasItems/TextItem.vala
  PACKAGES
  ${VALA_DEPS}
  OPTIONS
    --thread
    --target-glib=2.32 # Needed for new thread API
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
)

add_executable (${TEST_NAME} ${VALA_TEST_C})
add_test (core-${TEST_NAME} ${TEST_NAME})

## spice-up 1.8.2%2Bgit20200705

=== debian/control ===
Source: spice-up
Section: editors
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Felipe Escoto <felescoto95@hotmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               libgtk-3-dev,
               valac (>= 0.26),
               libgranite-dev,
               libjson-glib-dev,
               libgudev-1.0-dev,
               libevdev-dev,
               libsoup2.4-dev,
               libgee-0.8-dev
Standards-Version: 3.9.6

Package: spice-up
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: Spice-Up
 Create simple and beautiful presentations

## spice-up 1.8.2+git20200705

=== debian/changelog ===
spice-up (1.8.2+git20200705-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 12 May 2021 15:05:32 -0400

com.github.philip-scott.spice-up (0.2) UNSTABLE; urgency=low

  * Updated release

 -- Felipe Escoto <felescoto95@hotmail.com>  Tue, 12 Dec 2017 04:52:12 -0600

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Enable additional explot mitigation
# (PIE and *full* RELRO at the time of this writing)
#export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ 

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_install:
	dh_install --fail-missing
